#!/bin/sh

# making and installing UON
make PREFIX=/opt/uon clean
make PREFIX=/opt/uon
make PREFIX=/opt/uon install

mkdir -p /opt/uon/{etc,docs,run,log}
mkdir -p /opt/uon/etc
cp config/* /opt/uon/etc/
cp docs/* /opt/uon/docs/
cp README.md /opt/uon/docs/
cp config/uon-default.conf /opt/uon/etc/uon.conf


# same for net-tools due to missing of this package in most modern linux distributions
cd net-tools
make clean
make
make BASEDIR=/opt/uon/nt install
cd ..

# same for tunctl due to missing of this tool in most linux distributions
cd tunctl-1.5
make clean
make
make PREFIX=/opt/uon/nt install
cd ..
