#!/bin/sh
UON_DIR=../../../uon
UON="uon"
UON_VERSION="1.0.0"
UON_MAIL="thoth@01.gg"
echo "Generating configuration package"
autoscan $UON_DIR
mv $UON_DIR/configure.scan $UON_DIR/configure.ac
sed -i 	-e "s/FULL-PACKAGE-NAME/$UON/" \
		-e "s/VERSION/$UON_VERSION/" \
		-e "s/BUG-REPORT-ADDRESS/$UON_MAIL/" \
		$UON_DIR/configure.ac
autoconf $UON_DIR/configure.ac > $UON_DIR/configure
chmod +x $UON_DIR/configure
# TODO: use ./configure to detect headers and libraries dependnecies, example AES enabled (libcrypt)
