#############################################################
#
# uon
#
#############################################################
UON_VERSION = 1.0.0
UON_SOURCE = uon-$(UON_VERSION).tar.gz
UON_SITE = http://uon.01.gg/downloads

define UON_BUILD_CMDS
	$(SED) 's/OPTIONS=/OPTIONS=-static/' $(@D)/Makefile
	$(MAKE1) -C $(@D)
endef

define UON_INSTALL_TARGET_CMDS
	$(INSTALL) -D -m 0644 $(@D)/config/uon-node-default.conf $(TARGET_DIR)/etc/uon/uon.conf
	$(INSTALL) -D -m 0755 $(@D)/dist/uond $(TARGET_DIR)/sbin/uond
	$(INSTALL) -D -m 0755 $(@D)/dist/node $(TARGET_DIR)/sbin/node
	$(INSTALL) -D -m 0755 $(@D)/dist/supernode $(TARGET_DIR)/sbin/supernode
	$(INSTALL) -D -m 0755 $(@D)/dist/tunnel $(TARGET_DIR)/sbin/tunnel
endef

$(eval $(call GENTARGETS))
