/* (C) 13.0.3.10.12 Thoth */

#include "uon.h"
#include "uon_keyfile.h"
#include <assert.h>
#include <stdio.h>
#include <sys/stat.h>

int main(int arc, const char * argv[] ) {
    int e;
    uon_cipherspec_t specs[UON_MAX_NUM_CIPHERSPECS];

    e = uon_read_keyfile( specs, UON_MAX_NUM_CIPHERSPECS, "keyctrl.conf" );

    if ( e < 0 ) perror( "Failed to read keyfile" );
    else  fprintf( stderr, "Stored %d keys.\n", e );

    return 0;
}
